<?php
QUnit_Global::includeClass('QUnit_UI_TemplatePage');

class Affiliate_Scripts_Views_AccountSignupStandard extends QUnit_UI_TemplatePage
{
    
    function Affiliate_Scripts_Views_AccountSignupStandard() {
    }
            
    function process() {
        QUnit_Global::includeClass('QUnit_Countries');
        QUnit_Global::includeClass('QCore_Bl_Accounts');
        QUnit_Global::includeClass('QUnit_Messager');
        QUnit_Global::includeClass('QCore_Settings');    
        QUnit_Global::includeClass('Affiliate_Scripts_Bl_SignupAcct');
        if($_POST['commited'] == 'yes')
        {
            $signup = new Affiliate_Scripts_Bl_SignupAcct();

            $signup->processSignup();

            if(count(QUnit_Messager::getErrorMessages()) == 0)
            {
                $signup->redirect($signup->settings['Glob_adminpostsignupurl']);
            }
        }
        else
        {

            $settings = QCore_Settings::getGlobalSettings();
            QUnit_Global::includeClass('Affiliate_Scripts_Bl_Signup');    
            //Affiliate_Scripts_Bl_Signup::setLanguageFile($settings['Glob_default_lang']);
        }    
        
        $this->assign('settings', $getSettings);
        $this->addContent('acct_signup_standard');
        
    }
            
}
?>
